Bug 729903 - usb.ids is missing in rebased usbutils package
Summary: usb.ids is missing in rebased usbutils package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: usbutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 729901
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 08:03 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 729901
Environment:
Last Closed: 2011-09-20 09:04:58 UTC


Attachments (Terms of Use)

Description Jiri Moskovcak 2011-08-11 08:03:56 UTC
+++ This bug was initially created as a clone of Bug #729901 +++

Description of problem:

usb.ids is required by /usr/bin/lsusb.py command which is new in rebased usbutils package.

w/o this file, lsusb.py returns python errors like:

# lsusb.py 
 WARNING: Failure to read usb.ids
(<type 'exceptions.IOError'>, IOError(2, 'No such file or directory'), <traceback object at 0x7f0782d411b8>)
usb1            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1a.7) hub
usb2            1d6b:0002 09  2.00 480MBit/s   0mA 1IFs (ehci_hcd 0000:00:1d.7) hub
<snip>

# rpm -ql usbutils
/usr/bin/lsusb
/usr/bin/lsusb.py
/usr/bin/usb-devices
/usr/bin/usbhid-dump
/usr/share/doc/usbutils-003
/usr/share/doc/usbutils-003/AUTHORS
/usr/share/doc/usbutils-003/COPYING
/usr/share/doc/usbutils-003/ChangeLog
/usr/share/doc/usbutils-003/NEWS
/usr/share/doc/usbutils-003/README
/usr/share/man/man1/usb-devices.1.gz
/usr/share/man/man8/lsusb.8.gz
/usr/share/pkgconfig/usbutils.pc


Version-Release number of selected component (if applicable):
usbutils-003-1.el6.x86_64
kernel-2.6.32-184.el6.x86_64

How reproducible:
always

--- Additional comment from jmoskovc@redhat.com on 2011-08-11 04:03:16 EDT ---

It's not missing it's packaged separately in package hwdata, I just didn't noticed libusb.py, so I didn't patched it. (I would expect it to honour the path to usb.ids from makefile, but it doesn't)

Comment 1 Fedora Admin XMLRPC Client 2011-09-12 13:40:02 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Lukáš Nykrýn 2011-09-20 09:04:58 UTC
Fixed in usbutils 003-3


Note You need to log in before you can comment on or make changes to this bug.